Bug 1471512 - openmpi-devel package does not properly install pkg-config files
Summary: openmpi-devel package does not properly install pkg-config files
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openmpi
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-16 14:31 UTC by Gabriel Scherer
Modified: 2017-12-12 10:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:22:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Gabriel Scherer 2017-07-16 14:31:09 UTC
The openmpi-devel package does not properly install pkg-config files, making it difficult to compile mpi-using software without fiddling with fedora-specific paths.

I am using Fedora 25 with the openmpi-devel package in version 1.10.5.

How to reproduce: after installing `openmpi-devel`, `pkg-config --cflags ompi` prints:

> Package ompi was not found in the pkg-config search path.
> Perhaps you should add the directory containing `ompi.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'ompi' found

However, notice that `rpm -ql openmpi-devel | grep pkgconfig` returns the following, which suggests that pkg-config integration *was* planned for this package:

> /usr/lib64/openmpi/lib/pkgconfig
> /usr/lib64/openmpi/lib/pkgconfig/ompi-c.pc
> /usr/lib64/openmpi/lib/pkgconfig/ompi-cxx.pc
> /usr/lib64/openmpi/lib/pkgconfig/ompi-f77.pc
> /usr/lib64/openmpi/lib/pkgconfig/ompi-f90.pc
> /usr/lib64/openmpi/lib/pkgconfig/ompi-fort.pc
> /usr/lib64/openmpi/lib/pkgconfig/ompi.pc
> /usr/lib64/openmpi/lib/pkgconfig/orte.pc

People on the web document ugly workaround for the lack of pkg-config support. See http://www.cybaea.net/journal/2009/06/12/R-tips-Installing-Rmpi-on-Fedora-Linux/ for example.

Note: this seems closely related to the bug 221343, back in 2007-2008, which reported that no "openmpi" package was available, and was closed on a claim that Fedora 8 fixed the issue. There is no "openmpi" package on my machine (try with `pkg-config --cflags openmpi`), and upstream seems to use "ompi" as the pkg-config name now:

  https://github.com/open-mpi/ompi/blob/8558def8580e5681868b8b49ede57a6870b80075/ompi/tools/wrappers/ompi.pc.in

Comment 1 Orion Poplawski 2017-07-20 00:57:26 UTC
Well, you're expected to load the module first:

# module load mpi/openmpi-x86_64
# pkg-config --cflags ompi
-pthread -I/usr/include/openmpi-x86_64 -I/usr/include/openmpi-x86_64/

But it is true that since the pkgconfig modules are named "ompi*" and "orte", there is no conflict with the other MPI implementations, and we could have them in the main pkgconfig directory.

Comment 2 Fedora End Of Life 2017-11-16 18:47:37 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:22:03 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.